FLANG

Public Member Functions | Static Public Member Functions | List of all members
fir::TypeDescType Class Reference

`#include <flang/Optimizer/Dialect/FIRType.h>`

Inheritance diagram for fir::TypeDescType:

## Public Member Functions
mlir::Type | getOfTy () const

## Static Public Member Functions
static TypeDescType | get (mlir::Type ofType)
static constexpr bool | kindof (unsigned kind)
static mlir::LogicalResult | verifyConstructionInvariants (mlir::Location, mlir::Type ofType)

## Detailed Description

The type of a type descriptor object. The runtime may generate type descriptor objects to determine the type of an entity at runtime, etc.

## Member Function Documentation

## ◆ get()

TypeDescType fir::TypeDescType::get | ( | mlir::Type | ofType | ) |
| static

Type descriptor type

This is the type of a type descriptor object (similar to a class instance)

The documentation for this class was generated from the following files:

- include/flang/Optimizer/Dialect/FIRType.h
- lib/Optimizer/Dialect/FIRType.cpp